db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Jefferson <a...@datanucleus.org>
Subject Re: DataNucleus dependencies in JDO TCK
Date Wed, 01 Jul 2009 05:11:22 GMT
> So I updated these dependencies to make use of the latest version:
> 1.1.5-SNAPSHOT for core and rdbms and 1.1.4-SNAPSHOT for enhancer and
> jpa. Are these the correct versions to use? If yes, I will update the
> project.xml accordingly.

Yes.
The ones with names 2.0.0-SNAPSHOT are likely to change a lot so better to 
stick with 1.1. Also 1.1.5-SNAPSHOT for jpa.

> Another question: is there a datanucleus version supporting
> Query.cancelAll and Query.cancel(Thread t)?

datanucleus-rdbms contains an alternative implementation of JDOQL that will 
eventually replace the current one, and it supports Query cancel. To make use 
of it you can set the PMF property

datanucleus.query.JDOQL.implementation=JDOQL2

Obviously that can't be globally enabled since there are things it won't 
support yet.

-- 
Andy
DataNucleus (http://www.datanucleus.org)

Mime
View raw message